Bug 1491046 (CVE-2017-12153) - CVE-2017-12153 kernel: null pointer dereference in nl80211_set_rekey_data()
Summary: CVE-2017-12153 kernel: null pointer dereference in nl80211_set_rekey_data()
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12153
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170913,reported=2...
Depends On: 1491057 1491058
Blocks: 1486466
TreeView+ depends on / blocked
 
Reported: 2017-09-12 21:52 UTC by Vladis Dronov
Modified: 2019-06-08 22:20 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A security flaw was discovered in nl80211_set_rekey_data() function in the Linux kernel since v3.1-rc1 through v4.13. This function does not check whether the required attributes are present in a netlink request. This request can be issued by a user with CAP_NET_ADMIN privilege and may result in NULL dereference and a system crash.
Clone Of:
Environment:
Last Closed: 2017-09-14 08:19:33 UTC


Attachments (Terms of Use)

Description Vladis Dronov 2017-09-12 21:52:41 UTC
A security flaw is present in nl80211_set_rekey_data() function in the Linux kernel since v3.1-rc1 through v4.13. This function does not check whether required attributes are present in a netlink request. This request can be issued by a user with CAP_NET_ADMIN privilege and may result in NULL dereference and a system crash.

Vulnerability surface:

An analysis shows that NL80211_CMD_SET_REKEY_OFFLOAD request should be issued for a WiFi interface connected to a wireless network. This means that an attacker should be a privileged user already or should be root in a user+net namespace to which a WiFi interface was moved from a main net namespace. We believe the later configuration to be unlikely.

References:

http://seclists.org/oss-sec/2017/q3/437

https://marc.info/?t=150525503100001&r=1&w=2

Suggested upstream patch:

https://marc.info/?l=linux-wireless&m=150525493517953&w=2

Comment 1 Vladis Dronov 2017-09-12 22:57:00 UTC
Acknowledgments:

Name: bo Zhang

Comment 2 Vladis Dronov 2017-09-12 23:32:09 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1491057]

Comment 5 Vladis Dronov 2017-09-14 08:19:33 UTC
Statement:

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5 as the code with the flaw is not present in this product.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.